<div class="modal-header">
  <h4 class="modal-title">Création d'un fournisseur</h4>
  <button (click)="modal.dismiss()" class="close" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form #providerForm="ngForm" (ngSubmit)="submit(providerForm)">
    <div class="row">
      <div class="col-md-12">
        <div class="form-group">
          <div class="row mb-3">
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="name">Nom*</label>
              <input id="name" class="form-control" name="name" type="text" minlength="3" maxlength="40" required ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="email">Email*</label>
              <input id="email" class="form-control" name="email" type="email" minlength="5" maxlength="30" required ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="website">Site internet*</label>
              <input id="website" class="form-control" name="website" type="url" minlength="3" maxlength="40" required ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="contact">Contact principal*</label>
              <input id="contact" class="form-control" name="contact" type="text" minlength="3" maxlength="40" required ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="phone">Téléphone*</label>
              <input id="phone" class="form-control" name="phone" type="text" minlength="6" maxlength="13" required ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="fax">Fax</label>
              <input id="fax" class="form-control" name="fax" type="text" minlength="6" maxlength="13" ngModel>
            </div>
            <div class="col-lg-4 col-md-6 col-sm-6 col-12 mb-2">
              <label for="address">Adresse*</label>
              <input id="address" class="form-control" name="address" type="text"  minlength="6" maxlength="55" required ngModel>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="white-space-20"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Annuler</button>
      <button class="btn btn-info pull-right" type="submit" [disabled]="!providerForm.form.valid">Ajouter</button>
    </div>
  </form>
</div>
